#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "SkillUnlockedNotificationViewData.h"
#include "SkillUnlockedNotificationViewInterface.generated.h"

UINTERFACE(Blueprintable)
class DBDUIVIEWINTERFACES_API USkillUnlockedNotificationViewInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDUIVIEWINTERFACES_API ISkillUnlockedNotificationViewInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void Show(const FSkillUnlockedNotificationViewData& skillUnlockedNotificationData);

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void Hide();

};
